---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: backend
  namespace: mapper
spec:
  values:
    services:
      backend:
        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/mapper:0.0.8

        deployment:
          replicaCount:
            _default: 1

        envs:
          - name: DOCUMENTATION_HOST
            value:
              _default: "http://backend-service.flows.svc.cluster.local:8000/api/v1"

          - name: FLOW_HOST
            value:
              _default: "http://backend-service.flows.svc.cluster.local:8000/api/v1"

          - name: DJANGO_HOST
            value:
              _default: "http://backend.django.svc.cluster.local:8000/api"

          - name: NOTE_HOST
            value:
              _default: "http://backend-service.notes.svc.cluster.local:8000/api/v1"

          - name: REDIS_USE
            value:
              _default: "0"

          - name: TIMEOUT
            value:
              _default: "120"
